---

- name: Sort integrated tool panel file
  hosts: galaxy
  vars:
    mutable_config: "{{ galaxy_root }}/mutable-config"
    integrated_tool_panel_file: "{{ mutable_config }}/integrated_tool_panel.xml"

  tasks:
    - name: Copy tools list files
      copy:
        src: files/{{ item }}
        dest: /tmp
      with_items:
        - proteore.yml
        - workflow4metabolomics.yml
        - galaxyP.yml
        - metagenomic_analysis.yml
    - name: Create sorted integrated_tool_panel
      script: "scripts/sort-integrated-tool-panel/sort_integrated_tool_panel.py --integrated_tool_panel {{ integrated_tool_panel_file }} --yaml /tmp/proteore.yml /tmp/workflow4metabolomics.yml /tmp/galaxyP.yml /tmp/metagenomic_analysis.yml"
      args:
        executable: python3
    - name: Replace integrated_tool_panel
      copy:
        src: "{{ integrated_tool_panel_file }}.sorted.xml"
        dest: "{{ integrated_tool_panel_file }}"
        force: yes
        remote_src: yes
        backup: yes
    - name: Remove temp file
      file:
        path: "{{ integrated_tool_panel_file }}.sorted.xml"
        state: absent

  post_tasks:
    - name: Restart Galaxy
      supervisorctl:
        name: "galaxy:"
        state: started #will start the sleeping zerg
